library MyHook;
uses
  SysUtils,
  Windows,
  Messages,
  Dialogs,
  SyncObjs ,
  Classes;
{$R *.res}
const WM_MyMessage = WM_USER + 702;
var
  hook: HHOOK;
  infoInt : Integer;
  h: HWND;
function KeyHook(nCode: Integer; wParam: WPARAM; lParam: LPARAM): LRESULT; stdcall;
var
  pEvt: TEventMsg;
  vKey: Cardinal;
begin
  if (nCode = HC_ACTION) then
  begin
    vKey := 0;
    case wParam of
      WM_KEYUP:
        begin
          pEvt := PEventMsg(lParam)^;
          vKey := LOBYTE(pEvt.message);
          infoInt :=vKey;
          PostMessage(h, WM_MyMessage, 0, infoInt);
        end;
    end;
  end;
  Result := CallNextHookEx(hook, nCode, wParam, lParam);
end;
function SetHook(hwnd: HWND): Boolean; stdcall;
const
  WH_KEYBOARD_LL = 13;
begin
  h := hwnd;
  hook := SetWindowsHookEx(WH_KEYBOARD_LL, @KeyHook, HInstance, 0);
  Result := hook <> 0;
end;
function DelHook: Boolean; stdcall;
begin
  Result := UnhookWindowsHookEx(hook);
end;
exports
  SetHook name 'SetHook',
  DelHook name 'DelHook';
begin
end.

